Bug 108326 - New port: www/mod_log_dbd Write Apache access logs to a database using APR DBD
New port: www/mod_log_dbd Write Apache access logs to a database using APR DBD
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2007-01-25 06:00 UTC by bfoz
Modified: 2007-03-07 16:30 UTC (History)
0 users

See Also:

file.shar (2.44 KB, text/plain)
2007-01-25 06:00 UTC, bfoz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bfoz 2007-01-25 06:00:36 UTC
New port: www/mod_log_dbd
Write Apache access logs to a database using APR DBD

mod_log_dbd is a module for Apache 2.2+ that writes access logs to a database using the APR DBD framework. It's designed for simplicity and speed, and therefore lacks some of the features of other logging modules.
Comment 1 Martin Wilke freebsd_committer 2007-01-25 06:50:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-01-25 10:11:12 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Martin Wilke freebsd_committer 2007-03-07 11:40:16 UTC
State Changed
From-To: feedback->closed

no reply from submitter. Please feel free to submit a follow-up for this 
PR ticket if you can come up with a solution.
Comment 4 bfoz 2007-03-07 16:08:00 UTC
I've sent numerous replies to this, including a new shar on Feb 1, 2007. Did you not get any of them? I also sent you a message on Feb 24, but didn't get a reply.
Comment 5 Martin Wilke freebsd_committer 2007-03-07 16:18:24 UTC
State Changed
From-To: closed->open

reopen submitter send a new diff.
Comment 6 dfilter freebsd_committer 2007-03-07 16:29:17 UTC
miwi        2007-03-07 16:29:02 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/mod_log_dbd      Makefile distinfo pkg-descr pkg-plist 
  mod_log_dbd is an add-on module for the Apache web server that uses the APR DBD
  framework to store access logs in a database. Any missing tables and columns
  are automatically created if the module is given a database user with
  sufficient privileges.
  This module was designed for simplicity and therefore doesn't allow the
  nearly-inifinite customization of other logging modules. For example,
  column and table names are created automatically, which not only
  simplifies configuration but improves performance as well.
  WWW: http://bfoz.net/projects/mod_log_dbd/
  PR:             ports/108326
  Submitted by:   Brandon Fosdick <bfoz at bfoz.net>
  Revision  Changes    Path
  1.1738    +1 -0      ports/www/Makefile
  1.1       +24 -0     ports/www/mod_log_dbd/Makefile (new)
  1.1       +3 -0      ports/www/mod_log_dbd/distinfo (new)
  1.1       +14 -0     ports/www/mod_log_dbd/pkg-descr (new)
  1.1       +4 -0      ports/www/mod_log_dbd/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2007-03-07 16:29:38 UTC
State Changed
From-To: open->closed

New port added. Thanks!